cURL
curl -X GET \
'https://api.insightssystem.com/api:AFRA_QCy/get_templates' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.insightssystem.com/api:AFRA_QCy/get_templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.insightssystem.com/api:AFRA_QCy/get_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"category": "<string>",
"type": "<string>",
"language": "<string>",
"status": "<string>",
"variable_counts": 123,
"template_formate": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Templates
Get Templates
Retrieve a list of all templates associated with your account
GET
/
api:AFRA_QCy
/
get_templates
cURL
curl -X GET \
'https://api.insightssystem.com/api:AFRA_QCy/get_templates' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.insightssystem.com/api:AFRA_QCy/get_templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.insightssystem.com/api:AFRA_QCy/get_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"category": "<string>",
"type": "<string>",
"language": "<string>",
"status": "<string>",
"variable_counts": 123,
"template_formate": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Your Notifyer System API Token
Response
List of templates
The unique identifier for the template
UUID of the user who owns the template
Descriptive name of the template
Category of the template (e.g., MARKETING, UTILITY)
The type of template (e.g., text)
Language code of the template (e.g., en, en_US)
Approval status of the template (e.g., APPROVED, REJECTED)
Number of variable placeholders in the template
Format string showing variable placement (e.g., [b:7])
UUID of the template
Was this page helpful?
⌘I